Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641130 - dev-libs/icu-60.2 stabilization request
Summary: dev-libs/icu-60.2 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 646892
Blocks: 643510 644800 CVE-2018-7158, CVE-2018-7159, CVE-2018-7160
  Show dependency tree
 
Reported: 2017-12-15 14:52 UTC by charles17
Modified: 2018-05-20 20:45 UTC (History)
6 users (show)

See Also:
Package list:
dev-libs/icu-60.2 dev-libs/icu-layoutex-60.2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description charles17 2017-12-15 14:52:23 UTC
Please stabilize dev-libs/icu-59.1
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-16 19:24:13 UTC
Let's aim high.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-29 22:46:56 UTC
Please coordinate stabilisation together with bug 644800.
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-02-01 20:38:32 UTC
x86 stable
Comment 4 Sergei Trofimovich gentoo-dev 2018-02-03 10:27:47 UTC
commit a93d7fc8281150d98ebeab4b3870856929bcfe94
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Thu Feb 1 22:53:08 2018 +0100

    dev-libs/icu: stable 60.2 for sparc, bug #641130
Comment 5 Larry the Git Cow gentoo-dev 2018-02-03 13:37:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b9f51e09e5a43e8420af98e018f47680675d27d

commit 2b9f51e09e5a43e8420af98e018f47680675d27d
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2018-02-03 13:29:06 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2018-02-03 13:36:59 +0000

    dev-libs/icu: stabilise 60.2 for amd64
    
    Bug: https://bugs.gentoo.org/641130
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/icu/icu-60.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 6 Ben Kohler gentoo-dev 2018-02-07 19:24:08 UTC
Seems like dev-libs/icu-layoutex-60.2 should have been a part of this, right? Same thing as https://bugs.gentoo.org/616468#c10
Comment 7 Andreas Sturmlechner gentoo-dev 2018-02-07 21:38:44 UTC
Indeed, sorry for missing that. Re-adding arches for dev-libs/icu-layoutex-60.2
Comment 8 Sergei Trofimovich gentoo-dev 2018-02-08 23:07:48 UTC
commit a93d7fc8281150d98ebeab4b3870856929bcfe94
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Thu Feb 1 22:53:08 2018 +0100

    dev-libs/icu: stable 60.2 for sparc, bug #641130
Comment 9 Larry the Git Cow gentoo-dev 2018-02-09 08:07:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=048755dcd0618fff7b498d3296fa4522bcb1999b

commit 048755dcd0618fff7b498d3296fa4522bcb1999b
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-02-09 08:07:43 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-02-09 08:07:43 +0000

    dev-libs/icu-layoutex: Version 60.2 stable for amd64.
    
    Bug: https://bugs.gentoo.org/641130
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-libs/icu-layoutex/icu-layoutex-60.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 10 Thomas Deutschmann gentoo-dev Security 2018-02-10 00:33:16 UTC
x86 stable
Comment 11 Erik Quaeghebeur 2018-02-15 22:27:54 UTC
FYI: This breaks systems with current stable qtwebengine[system-icu]:

--------
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/icu:0

  (dev-libs/icu-60.2:0/60.2::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/icu-58.2-r1:0/58.2::gentoo, ebuild scheduled for merge) pulled in by
    <dev-libs/icu-59:= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, installed)
    ^             ^^ ^

    dev-libs/icu:0/58.2= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, installed)
                ^^^^^^^^
--------

I think this will be fixed with by letting qtwebengine use its own icu, but I haven't tried yet.
Comment 12 Andreas Sturmlechner gentoo-dev 2018-02-15 22:29:37 UTC
That's why qtwebengine-5.7.1 has system-icu default-disabled. No issue here, simply adjust your use flags.
Comment 13 Sergei Trofimovich gentoo-dev 2018-02-20 09:17:21 UTC
ia64 stable
Comment 14 Tobias Klausmann gentoo-dev 2018-03-03 12:15:16 UTC
Stable on alpha.
Comment 15 Matt Turner gentoo-dev 2018-03-12 04:45:44 UTC
ppc64 stable
Comment 16 Matt Turner gentoo-dev 2018-03-12 05:07:41 UTC
ppc stable
Comment 17 Andreas Sturmlechner gentoo-dev 2018-03-18 16:02:29 UTC
ping arm/arm64/hppa
Comment 18 Mart Raudsepp gentoo-dev 2018-03-20 19:13:44 UTC
arm64 stable. But not icu-layoutex, as we don't have that even keyworded. That should be with an architecture list, not marked as needed for all. Sparc seems to have already keyworded it straight to stable with this. re-CC if we do need icu-layoutex for some reason on arm64, afterall.
Comment 19 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-15 17:22:53 UTC
arm stable
Comment 20 Andreas K. Hüttel gentoo-dev 2018-05-06 20:14:18 UTC
Only HPPA left.
Comment 21 Andreas Sturmlechner gentoo-dev 2018-05-20 20:45:20 UTC
HPPA forgot to remove themselves after 765626733fb084fb90b0556d6c1ac53058606cbf in March...